package org.jeecg.modules.apiService;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;

public interface ConfigService {

    /**
     * 获取配置信息列表
     * @return
     */
    public Result<?> queryConfigList();

    /**
     * 获取配置信息
     * @param paramCode
     * @return
     */
    public Result<?> queryConfig(String paramCode);

    /**
     * 获取banner图列表
     * @param bannerCategoryId
     * @param pageBean
     * @return
     */
    public Result<?> queryBannerList(String bannerCategoryId, PageBean pageBean);

    /**
     * 获取工种列表
     * @param pageBean
     * @return
     */
    public Result<?> queryJobTypeList(PageBean pageBean);

    /**
     * 获取工作性质列表
     * @param pageBean
     * @return
     */
    public Result<?> queryJobNatureList(PageBean pageBean);

    /**
     * 获取地址列表带分页
     * @param pageBean
     * @return
     */
    public Result<?> queryAddressList(PageBean pageBean);

}

